<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Order;
use App\Models\Salon;
use App\Models\Service;
use App\User;
use Carbon\Carbon;
use Illuminate\Http\Request;

class OrdersController extends Controller
{
    public function index()
    {
        $salons = Salon::whereHas('categories')->get();
        $rows = Order::where('status', '!=', 'in_complete')->orderByDesc('id')->get();
        return view('admin.orders.index', compact('salons', 'rows'));
    }

    public function destroy($id)
    {
        Order::destroy($id);
        toast('تم الحذف بنجاح', 'success');
        return back();
    }
    public function order_search(Request $request){
        $rows =Order::where('status', '!=', 'in_complete')->get();

        if ($request['start'] && $request['end']) {
            $rows = $rows->whereBetween('created_at', [Carbon::parse($request['start']), Carbon::parse($request['end'])]);
        } elseif ($request['start'] && $request['end'] == null) {
            $rows = $rows->where('created_at', '>=', Carbon::parse($request['start']));
        } elseif ($request['end'] && $request['start'] == null) {
            $rows = $rows->where('created_at', '<=', Carbon::parse($request['end']));
        }

        if ($request['salon_id'] != '0') {
            $rows = $rows->where('salon_id', '==', $request['salon_id']);
        }


        $salons = Salon::whereHas('categories')->get();
        return view('admin.orders.index', compact('salons', 'rows'));


    }
    public function show($id){
        $row = Order::find($id);
        return view('admin.orders.show',compact('row'));
    }
}
