<?php

namespace App\Http\Resources;

use Carbon\Carbon;
use Illuminate\Http\Resources\Json\JsonResource;

class SalonCommentsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'user' => new NormalUserResource($this->user),
            'user_id' => $this->user->id ? (integer)$this->user->id  : 0,
            'user_username' => $this->user->username ? $this->user->username  : '',
            'user_mobile' => $this->user->mobile ? $this->user->mobile  : '',
            'user_email' => $this->user->email ? $this->user->email  : '',
            'user_image' => $this->user->image ? asset('images/users/'.$this->user->image)  : '',
            'rate' => $this->rate ? $this->rate : '',
            'comment' => $this->comment ? $this->comment : '',
            'date'=>Carbon::parse($this->created_at)->toDateString(),
        ];
    }
}
