<?php

namespace App\Models;

use App\User;
use Illuminate\Database\Eloquent\Model;

class Chats extends Model
{

    protected $table = 'chats';
    public $timestamps = true;
    protected $fillable = array('sender_id', 'receiver_id', 'room_id', 'message');

    public function room()
    {
        return $this->belongsTo(Room::class, 'room_id');
    }

    public function sender_id()
    {
        return $this->belongsTo(User::class, 'sender_id');
    }

    public function receiver()
    {
        return $this->belongsTo(User::class, 'receiver_id');
    }

}
