<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Service extends Model
{

    protected $table = 'services';
    public $timestamps = true;
    protected $fillable = array('title', 'duration', 'duration_type', 'price', 'discount_percent', 'image', 'category_id', 'salon_id', 'place');
    protected  $appends = ['final_price'];

    public function category()
    {
        return $this->belongsTo(Category::class, 'category_id');
    }

    public function setImageAttribute()
    {
        $rand = rand(111, 999);
        $file = request()->file('image');
        $destinationPath = 'images/services/';
        $filename = $rand . '_' . time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }

    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/services/') . '/' . $this->attributes['image'];
        }
        return asset('logo.png');
    }

    public function salon()
    {
        return $this->belongsTo(Salon::class, 'salon_id');
    }

    public function orders()
    {
        return $this->belongsToMany(Order::class, 'order_services', 'service_id', 'order_id');
    }

}
